Subject: Re: 'jobs' builtin on beta 16
From: [email-masked] ("Randolph Fritz")

17 Oct 1996 12:14:06 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
In-Reply-To: Geoffrey Noer <[email-masked]>
        "Re: 'jobs' builtin on beta 16" (Oct 17,  3:04am)
X-Mailer: Z-Mail (3.0.1 04apr94)
Original-To: Geoffrey Noer <[email-masked]>, [email-masked] (Randolph Fritz)
Original-Cc: [email-masked]
Original-Sender: [email-masked]

Geof,

Thanks very much for your reply!  I really appreciate the attention.

I wrote:

>> Also, the "ps" output is very strange; would someone who's looked at the
code
>> care to comment on the mapping from Posix to NT processes.

> The "ps" command in gnu-win32 only shows the gnu-win32 processes.  You
> can kill such processes with "kill" and so on...  What's strange about
> it?  If you can be more specific, I'll try to answer...

Sure.  Here's a sample ps output:

bash$ ps
     PID     PPID  WIN32-PID   UID  COMMAND
    1000     1000        466   500  n:\bin\sh.exe
    1001     1000        424   500
 n:\win32app\Cygnus\H-i386-cygwin32\bin\ps.exe

Do I grasp correctly that cygwin32 maintains its own process table, and a
mapping from that table to Win32 process ids, which aren't necessarily
monotonically increasing?  Is the UID the NT internal UID?  I've never actually
seen it expressed numerically; all the NT tools show it as a user name.

Does gcc-win32 compile programs with text and data segments and are the text
segments shared as part of the implementation of fork?  How is forking of the
data segments handled--is page copying delayed until write as in modern Unixes?

-- 
Randolph Fritz
QA consultant
NCD/PCX division
[email-masked]

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".